<?php include "../index/conexion.inc" ?>
<?php include "../index/validacion.php" ?>
<?php
	// conexión
	$servername = $svr_servidor;
	$conectioninfo = array("Database"=>$svr_base, "UID"=>$svr_usuario, "PWD"=>$svr_contrasena, "CharacterSet"=>"UTF-8");
	$conexion = sqlsrv_connect($servername, $conectioninfo);
	if ($conexion == false)
	{
		$mensaje = "Existe un error al intentar conectarse con el servidor...";
	}
	else
	{
		// VARIABLES
		$cV01 = $_POST['desde'];	/* DESDE */
		$cV02 = $_POST['hasta'];	/* HASTA */
		// PARAMETROS PARA EXPORTAR
		header("Pragma: public");
		header("Expires: 0");
		$filename = "Solicitudes de compra.xls";
		header("Content-type: application/x-msdownload");
		header("Content-Disposition: attachment; filename=$filename");
		header("Pragma: no-cache");
		header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
		echo "
			<table>
				<thead>
					<tr>
						<th>SERIE</th>
						<th>PEDIDO</th>
						<th>SUPEDIDO</th>
						<th>COD.PVE</th>
						<th>PROVEEDOR</th>
						<th>ID.DOC</th>
						<th>DOCUMENTO</th>
						<th>FECHA PEDIDO</th>
						<th>FECHA ENTREGA</th>
						<th>IDESTADO</th>
						<th>ESTADO</th>
					</tr>
				</thead>
				<tbody>";
					// CONSULTA SQL
					$sql = "SELECT PC.TIPODOC AS IDDOC, T.DESCRIPCION AS TIPODOC, PC.IDESTADO, ESTADO = CASE IDESTADO WHEN  -1 THEN 'PENDIENTE' WHEN 10 THEN 'PROCESADO' ELSE 'NO_ASIGNADO' END, \n"
						  ."PC.NUMSERIE, PC.NUMPEDIDO, PC.SUPEDIDO, PC.FECHAPEDIDO, PC.FECHAENTREGA, P.CODPROVEEDOR, P.NOMPROVEEDOR \n"
						  ."FROM PEDCOMPRACAB AS PC \n"
						  ."LEFT JOIN PROVEEDORES AS P ON (PC.CODPROVEEDOR = P.CODPROVEEDOR) \n"
						  ."LEFT JOIN TIPOSDOC As T ON (PC.TIPODOC = T.TIPODOC) \n"
						  ."WHERE (CONVERT(DATE,FECHAPEDIDO,3) >= '".$cV01."') AND (CONVERT(DATE,FECHAPEDIDO,3) <= '".$cV02."')";
					$pa1 = array();
					$op1 = array("scrollable" => SQLSRV_CURSOR_KEYSET);
					// Lanzar la consulta
					$re1 = sqlsrv_query($conexion, $sql, $pa1, $op1);
					while($fila = sqlsrv_fetch_array($re1))
					{
						echo "
							<tr>
								<td>".$fila['NUMSERIE']."</td>
								<td>".$fila['NUMPEDIDO']."</td>
								<td>".$fila['SUPEDIDO']."</td>
								<td>".$fila['CODPROVEEDOR']."</td>
								<td>".$fila['NOMPROVEEDOR']."</td>
								<td>".$fila['IDDOC']."</td>
								<td>".$fila['TIPODOC']."</td>
								<td>".$fila['FECHAPEDIDO']->format('Y-m-d h:m:s')."</td>
								<td>".$fila['FECHAENTREGA']->format('Y-m-d h:m:s')."</td>
								<td>".$fila['IDESTADO']."</td>
								<td>".$fila['ESTADO']."</td>
							</tr>
						";
					}
				echo "
				</tbody>
			</table>
		";
	}
	// Desconexion
	sqlsrv_close($conexion);
?>